.navbar-wrapper {
  padding: 20px 0;
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 10;
  backdrop-filter: blur(10px);
  background: rgba(24, 24, 31, 0.56);
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.navbar__logo {
  width: 32px;
  height: 32px;
  background: url("../img/ape_gung_logo.svg") no-repeat center / contain;
  border-radius: 4px;
}

/* MENU */

.navbar-menu {
  display: flex;
}

.navbar-menu__item {
  display: block;
  font-family: "DM Sans", sans-serif;
  font-size: 14px;
  line-height: 18px;
  color: #B4B4B4;
  padding-bottom: 4px;
  position: relative;
  transition: color .3s, font-weight .3s;
  font-weight: 500;
}

.navbar-menu__item::before {
  content: "";
  position: absolute;
  bottom: 0;
  width: 0;
  transition: width .3s;
  height: 1px;
  background: var(--yellow-gradient-1to2);
}

.navbar-menu__item:hover,
.navbar-menu__item.active {
  color: #fff;
}

.navbar-menu__item.active {
  font-weight: 700;
}

.navbar-menu__item:hover::before,
.navbar-menu__item.active::before {
  width: 100%;
}

.navbar-menu__item.active {
  font-weight: 700;
}

.navbar-menu__item:not(:last-child) {
  margin-right: 24px;
}

/* SOCIAL */

.navbar-social {
  display: flex;
  align-items: center;
}

.navbar-social__item {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 38px;
  height: 38px;
  border-radius: 6px;
  border: 1px solid transparent;
  transition: border .2s;
}

.navbar-social__item:hover {
  border: 1px solid rgba(190, 190, 190, 0.2);
}

.navbar-social__item:not(:last-child) {
  margin-right: 12px;
}

/* MEDIA */

@media (max-width: 1023px) {
  .navbar__burger {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 26px;
    cursor: pointer;
  }

  .navbar__burger > div {
    width: 32px;
    height: 4px;
    background-color: #fff;
    border-radius: 24px;
  }

  .navbar__burger.active > div {
    background-color: var(--yellow-1);
    transition: background-color .5s;
  }

  .navbar-mobile-menu {
    overflow-y: scroll;
    z-index: -1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    position: fixed;
    left: 0;
    top: 0;
    transform: translateX(-100%);
    padding: 98px 24px 66px 16px;
    background: rgba(33, 32, 40, 0.79);
    border-bottom-right-radius: 30px;
    backdrop-filter: blur(34px);
    -webkit-backdrop-filter: blur(34px);
    opacity: 0;
    transition: transform .5s, opacity .1s;
  }

  .navbar-mobile-menu.hidden {
    display: none;
  }

  .navbar-mobile-menu.opened {
    transform: translateX(0);
    box-shadow: 16px 4px 20px rgba(0, 0, 0, 0.41);
    opacity: 1;
  }

  .navbar-mobile-menu__item {
    display: block;
    color: #B4B4B4;
    position: relative;
  }

  .navbar-mobile-menu__item:not(:last-child) {
    margin-bottom: 32px;
  }

  .navbar-mobile-menu__item::before {
    content: "";
    position: absolute;
    bottom: 0;
    width: 0;
    transition: width .3s;
    height: 1px;
    background: var(--yellow-gradient-1to2);
  }

  .navbar-mobile-menu__item:hover,
  .navbar-mobile-menu__item.active {
    color: #fff;
  }

  .navbar-mobile-menu__item.active {
    font-weight: 700;
  }

  .navbar-mobile-menu__item:hover::before,
  .navbar-mobile-menu__item.active::before {
    width: 100%;
  }
}